{ config, pkgs, lib, ... }:

{

  services.blueman.enable = true;

  # Enable sound.
  sound.enable = true;
  nixpkgs.config.pulseaudio = true;

  hardware = {
    pulseaudio = {
      enable = true;
      extraModules = with pkgs; [ pulseaudio-modules-bt ];
      package = pkgs.pulseaudioFull;
      extraConfig = ''
        load-module module-switch-on-connect
      '';
    };
    opengl.enable = true;
    acpilight.enable = true;
    bluetooth = {
      enable = true;
      package = pkgs.bluezFull;
      settings.General.Enable = "Source,Sink,Media,Socket";
    };
  };

  programs.light.enable = true;

}
