{ config, lib, pkgs, modulesPath, ... }: {

  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
    <nixos-hardware/lenovo/thinkpad/t14>
    <nixos-hardware/common/cpu/intel>
    <nixos-hardware/common/pc/ssd>
    <nixos-hardware/common/pc/laptop>
  ];

  boot.initrd.availableKernelModules = [
    "xhci_pci"
    "ahci"
    "nvme"
    "usb_storage"
    "usbhid"
    "sd_mod"
    "rtsx_pci_sdmmc"
  ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.blacklistedKernelModules = [ "nouveau" ];

  # Ignore Alcor smartcard (gpg is not very smart)
  # See https://ludovicrousseau.blogspot.com/2015/12/remove-andor-customize-pcsc-reader-names.html
  systemd.services.pcscd.environment.PCSCLITE_FILTER_IGNORE_READER_NAMES =
    "Alcor";

  hardware.video.hidpi.enable = true;

  # CPU Configuration
  hardware.cpu.intel.updateMicrocode = true;
  services.throttled.enable = true;
  powerManagement.cpuFreqGovernor = lib.mkDefault "performance";
}
